commit:     d65536cf0493ad24886935973780f129315f6cf8
Author:     Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Thu Dec  5 18:35:55 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 17:29:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d65536cf

app-text/atril: add 1.28.1

Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/39604
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-text/atril/Manifest            |   1 +
 app-text/atril/atril-1.28.1.ebuild | 115 +++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/app-text/atril/Manifest b/app-text/atril/Manifest
index fa03d5b3dec1..76550d2abd0d 100644
--- a/app-text/atril/Manifest
+++ b/app-text/atril/Manifest
@@ -1 +1,2 @@
 DIST atril-1.28.0.tar.xz 2093588 BLAKE2B 
6e5b2f63ce1a0bd1f419b0e9ccb29887086c180ccdeb473770bc20a6408ba37b3334eca0d808c304f20c26818138eeb5116a55d02e8e84b60eeedda03254896f
 SHA512 
dd5f77b3ba2033a3591e0f58742d75eefdd0bfdcdec80a6aa6148a1cf37e4508776733013f946103bdf0412f35dee0b283cc254fa0033fc14966df323bb371a8
+DIST atril-1.28.1.tar.xz 2100200 BLAKE2B 
7c90f1bd8c4e30d1208a5514e8c9153b919443ca0fcbbb7de4db3e74c14330f24fad41f57f1781b243707e724bb9ce4952ca9267755d4482bad7e605421e501f
 SHA512 
a5b0a1bf0d29849384a17723cab402c9e4661a9827b66f2c9c0f2a8500138ca7311c1b6e99dc06d526625d51f9de36cb514ba71fad1c01ea799abdec4f9ecf82

diff --git a/app-text/atril/atril-1.28.1.ebuild 
b/app-text/atril/atril-1.28.1.ebuild
new file mode 100644
index 000000000000..8aaa80e255aa
--- /dev/null
+++ b/app-text/atril/atril-1.28.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MATE_LA_PUNT="yes"
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit mate python-any-r1 virtualx
+
+DESCRIPTION="Atril document viewer for MATE"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+
+LICENSE="FDL-1.1+ GPL-2+ GPL-3+ LGPL-2+ LGPL-2.1+"
+SLOT="0"
+
+IUSE="caja dbus debug djvu dvi epub +introspection keyring nls +postscript 
synctex t1lib test tiff xps"
+
+REQUIRED_USE="t1lib? ( dvi )"
+
+COMMON_DEPEND="
+       app-accessibility/at-spi2-core:2
+       app-text/poppler[cairo]
+       dev-libs/glib:2
+       dev-libs/libxml2:2
+       >=mate-base/mate-desktop-$(ver_cut 1-2)
+       sys-libs/zlib
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3[introspection?]
+       x11-libs/libICE
+       x11-libs/libSM:0
+       x11-libs/libX11
+       x11-libs/cairo
+       x11-libs/pango
+       caja? ( mate-base/caja[introspection?] )
+       djvu? ( app-text/djvu:0 )
+       dvi? (
+               virtual/tex-base
+               t1lib? ( media-libs/t1lib:5 )
+       )
+       epub? (
+               <dev-libs/mathjax-3
+               net-libs/webkit-gtk:4.1
+       )
+       keyring? ( app-crypt/libsecret )
+       introspection? ( dev-libs/gobject-introspection:= )
+       postscript? ( app-text/libspectre )
+       synctex? ( virtual/tex-base )
+       tiff? ( media-libs/tiff:= )
+       xps? ( app-text/libgxps )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       gnome-base/gvfs
+       virtual/libintl
+"
+
+BDEPEND="${COMMON_DEPEND}
+       app-text/docbook-xml-dtd:4.1.2
+       app-text/yelp-tools
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       dev-util/gtk-doc
+       dev-build/gtk-doc-am
+       sys-devel/gettext
+       virtual/pkgconfig
+       test? ( $(python_gen_any_dep 'dev-util/dogtail[${PYTHON_USEDEP}]') )
+"
+
+#RESTRICT="!test? ( test )"
+# Tests use dogtail and require using accessibility services.
+# Until we figure out how to run successfully, don't run tests
+RESTRICT="test"
+
+python_check_deps() {
+       use test && python_has_version "dev-util/dogtail[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_configure() {
+       # Passing --disable-help would drop offline help, that would be 
inconsistent
+       # with helps of the most of GNOME apps that doesn't require network for 
that.
+       mate_src_configure \
+               --enable-comics \
+               --enable-pdf \
+               --enable-pixbuf \
+               --enable-previewer \
+               --enable-thumbnailer \
+               $(use_with keyring) \
+               $(use_enable caja) \
+               $(use_enable dbus) \
+               $(use_enable debug) \
+               $(use_enable djvu) \
+               $(use_enable dvi) \
+               $(use_enable epub) \
+               $(use_enable introspection) \
+               $(use_enable nls) \
+               $(use_enable postscript ps) \
+               $(use_enable synctex) \
+               $(use_enable t1lib) \
+               $(use_enable test tests) \
+               $(use_enable tiff) \
+               $(use_enable xps)
+}
+
+src_test() {
+       export GSETTINGS_BACKEND=keyfile
+       gsettings set org.gnome.desktop.interface toolkit-accessibility true || 
die
+       gsettings set org.mate.interface accessibility true || die
+       virtx emake check
+}

Reply via email to